xpra icon
Bug tracker and wiki

Getting Started : Versions


Current Status

There are 2 versions currently supported and one in development:

  • v1.0.x - the current LTS stable release, will be supported for a minimum of 2 years
  • v2.0.x - the current version
  • trunk - the current development tree (will become 2.1)
  • 3.0 the next major development version

The bug fixes due to be backported are recorded here: pending fixes. For more information, see wiki/Versions/ReleaseProcess

Unsupported Versions

Do not use!

Compatibility

Versions older than 1.0 are not supported.
If your distributor ships an older version, you should complain to them for not updating a package with known bugs and serious vulnerabilities (more info here: wiki/Packaging).


You can mix versions between the clients and servers, as long as they are reasonably up to date:

  • v0.14.x is compatible with versions 0.7.8 onwards. (it may or may not work with earlier versions)
  • v1.0.x is compatible with 0.14.x onwards only
  • v2.x should remain compatible with version 0.14.x, but this will not be guaranteed or tested regularly

Binaries

You can find binaries for tagged versions on the supported platforms here:
http://xpra.org/dists/

You may find beta builds of any branch or trunk here:
http://xpra.org/beta/

Last modified 7 days ago Last modified on 05/20/17 09:33:31